# RedHat-style .spec file for Xapian
# xapian.spec.  Generated from xapian.spec.in by configure.
Summary: The Xapian Probabilistic Information Retrieval Library.
Name: xapian-core
Version: 0.6.5
Release: 1
License: GPL
Vendor: www.xapian.org
Group: System Environment/Libraries
URL: http://www.xapian.org/
BuildRequires: sed
#Source0: http://www.xapian.org/download/distributions/%{name}-%{version}.tar.gz
Source0: http://www.tartarus.org/~olly/xapian-%{version}/%{name}-%{version}.tar.gz

# Where are we going to build the install set to?
BuildRoot: %{_tmppath}/%{name}-root

%description
Xapian is an Open Source Probabilistic Information Retrieval Library. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications.

%package devel
Group: Development/Libraries
Summary: Files needed for building packages which use Xapian.
Requires: xapian-core = %{version}

%description devel
This package contains the files needed for building packages which use the
Xapian library.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}
make
cd backends/quartz && make quartzcheck quartzcompact
cd ../..
make install-strip DESTDIR=%{buildroot}
# move the docs to the "right" place
mv %{buildroot}/usr/share/doc/%{name} %{buildroot}/usr/share/doc/%{name}-%{version}
# Extra binaries
install -D -m755 netprogs/.libs/omtcpsrv %{buildroot}%{_bindir}/omtcpsrv
install -D -m755 netprogs/.libs/omprogsrv %{buildroot}%{_bindir}/omprogsrv
install -D -m755 backends/quartz/.libs/quartzcheck %{buildroot}%{_bindir}/quartzcheck
install -D -m755 backends/quartz/.libs/quartzcompact %{buildroot}%{_bindir}/quartzcompact

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/omtcpsrv
%{_bindir}/omprogsrv
%{_bindir}/quartzcheck
%{_bindir}/quartzcompact
%{_libdir}/libomqueryparser.so
%{_libdir}/libomqueryparser.so.0
%{_libdir}/libomqueryparser.so.0.0.0
%{_libdir}/libxapian.so
%{_libdir}/libxapian.so.0
%{_libdir}/libxapian.so.0.0.0
%doc AUTHORS ChangeLog COPYING NEWS PLATFORMS README
# HACKING should arguably be in -devel, but then it ends up alone
# in /usr/share/doc/xapian-core-devel-%{version}
%doc HACKING

%files devel
%defattr(-, root, root)
%docdir /usr/share/doc/xapian-core-%{version}
%{_bindir}/xapian-config
%{_includedir}/om
%{_libdir}/libomqueryparser.a
%{_libdir}/libomqueryparser.la
%{_libdir}/libxapian.a
%{_libdir}/libxapian.la
/usr/share/aclocal/xapian.m4
# Put manual, etc in -devel package
%{_docdir}

%changelog
* Wed Apr 09 2003  Olly Betts <olly@survex.com>
  Further tweaking, partly based on comments from Sam Liddicott

* Mon Mar 31 2003  Olly Betts <olly@survex.com>
  Merged in changes from Fabrice Colin

* Wed May 14 2002  Sam Liddicott <sam@ananova.com>
  Based on a Redhat php .spec file
